/*
 * File:     ExtractDataMultiStep.java
 * Project:  MPI Linguistic Application
 * Date:     03 April 2006
 *
 * Copyright (C) 2001-2006  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.timeseries;

import mpi.eudico.client.annotator.ElanLocale;

import mpi.eudico.client.annotator.commands.ELANCommandFactory;

import mpi.eudico.client.annotator.gui.multistep.MultiStepPane;
import mpi.eudico.client.annotator.gui.multistep.StepPane;

import mpi.eudico.client.annotator.util.ClientLogger;

import mpi.eudico.server.corpora.clomimpl.abstr.TranscriptionImpl;

import javax.swing.JDialog;


public class ExtractDataMultiStep implements ClientLogger {
    public ExtractDataMultiStep(TranscriptionImpl transcription,
        TSTrackManager manager) {
        show(transcription, manager);
    }

    private void show(TranscriptionImpl transcription, TSTrackManager manager) {
        if (transcription == null) {
            LOG.warning(
                "Could not create multistep dialog: transcription is null");

            return;
        }

        if (transcription == null) {
            LOG.warning("Could not create multistep dialog: manager is null");

            return;
        }

        MultiStepPane pane = new MultiStepPane(ElanLocale.getResourceBundle());

        StepPane step1 = new ExtractStep1(pane, transcription);
        StepPane step2 = new ExtractStep2(pane, transcription, manager);
        StepPane step3 = new ExtractStep3(pane, transcription, manager);
        pane.addStep(step1);
        pane.addStep(step2);
        pane.addStep(step3);

        JDialog dialog = pane.createDialog(ELANCommandFactory.getRootFrame(
                    transcription),
                ElanLocale.getString("TimeSeriesViewer.Extract"), true);

        dialog.setVisible(true);
    }
}
